Subject: Re: bug#8147: 24.0.50; Inserting *Help* buffer can lead to data loss

From: Chong Yidong <[email-masked]>
Date: Sun, 06 Mar 2011 15:28:43 -0500

Stephen Berman <[email-masked]> writes:

>> I just tested this with the doc string of help-buffer in *Help*.  There
>> are two links in this doc string: clicking on `help-xref-following'
>> shows the error message "Current buffer is not in Help mode", which is
>> certainly better than overwriting the content of the buffer; but
>> clicking on `help-mode.el' finds that file and puts point on the
>> beginning of help-buffer's definition, i.e., still does what this kind
>> of link has always done.  It is confusing to have this divergence in
>> behavior between the two kinds of links.  Instead of signalling an
>> error, couldn't the help-xref-following buttons just show the help in
>> the *Help* buffer, as in the following patch?

The buffer from you pasted the button might not be *Help*; it could be
any other buffer in Help mode.  So wouldn't it be inconsistent either
way?